import fr.cnam.util.*;

/** Programme de test de la classe Terminal.
 */
public class TestTerminal
{
    /**
       Ex&eacute;cution de quelques cas d'utilisation des m&eacute;thodes de la classe Terminal
       @param args (non utilis&eacute;)
    */
    public static void main(String... args)
    {
        Parametres params = new Parametres(args);

        int toto = params.getInt("toto");
        String tata = params.getString("tata");
        double titi = params.getDouble("titi");

        int    def1 = params.getInt("def1",100);
        String def2 = params.getString("def2","blabla");
        double def3 = params.getDouble("def3",1.0);

        Terminal.ecrireStringln("---- Parametres");
        Terminal.ecrireStringln("" + toto+"\n"+tata+"\n"+titi);
        Terminal.ecrireStringln("" + def1+"\n"+def2+"\n"+def3);

        String[] tabStr = Terminal.lireFichierTexte("../TestTerminal.java");
        for(int i=0;i<tabStr.length;i++)
            Terminal.ecrireStringln(String.format("%3d : %s",i,tabStr[i]));

        Terminal.ecrireString("taper une touche puis entree pour continuer...");
        Terminal.lireString();

        tabStr = Terminal.lireFichierTexte("FICHIER INCONNU"); 
        if (tabStr==null) System.out.println("Fichier inconnu");
        
        Terminal.ecrireString("taper une touche puis entree pour continuer...");
        Terminal.lireString();

        try{
            Terminal.ecrireString("Saisir un entier : ");
            int i = Terminal.lireInt();
            Terminal.ecrireIntln(i);
        }catch(TerminalException ex){Terminal.ecrireException(ex);}

        try{
            Terminal.ecrireString("Saisir un double : ");
            double d = Terminal.lireDouble();
            Terminal.ecrireDoubleln(d);
        }catch(TerminalException ex){Terminal.ecrireException(ex);}

        try{
            Terminal.ecrireString("Saisir un booleen : ");
            boolean b = Terminal.lireBoolean();
            Terminal.ecrireBooleanln(b);
        }catch(TerminalException ex){Terminal.ecrireException(ex);}

        try{
            Terminal.ecrireString("Saisir un char : ");
            char c = Terminal.lireChar();
            Terminal.ecrireCharln(c);
        }catch(TerminalException ex){Terminal.ecrireException(ex);}

        
    }
}